# katana config file
# generated by https://github.com/projectdiscovery/goflags

# target url / list to crawl
#list: []

# resume scan using resume.cfg
#resume: 

# exclude host matching specified filter ('cdn', 'private-ips', cidr, ip, regex)
#exclude: []

# list of custom resolver (file or comma separated)
#resolvers: []

# maximum depth to crawl
#depth: 3

# enable endpoint parsing / crawling in javascript file
#js-crawl: false

# enable jsluice parsing in javascript file (memory intensive)
#jsluice: false

# maximum duration to crawl the target for (s, m, h, d) (default s)
#crawl-duration: 

# enable crawling of known files (all,robotstxt,sitemapxml), a minimum depth of 3 is required to ensure all known files are properly crawled.
#known-files: 

# maximum response size to read
#max-response-size: 4194304

# time to wait for request in seconds
#timeout: 10

# time to wait until the page is stable in seconds
#time-stable: 1

# enable automatic form filling (experimental)
#automatic-form-fill: false

# extract form, input, textarea & select elements in jsonl output
#form-extraction: false

# number of times to retry the request
#retry: 1

# http/socks5 proxy to use
#proxy: 

# enable technology detection
#tech-detect: false

# custom header/cookie to include in all http request in header:value format (file)
#headers: []

# path to the katana configuration file
#config: 

# path to custom form configuration file
#form-config: 

# path to custom field configuration file
#field-config: 

# visit strategy (depth-first, breadth-first)
#strategy: depth-first

# ignore crawling same path with different query-param values
#ignore-query-params: false

# enable experimental client hello (ja3) tls randomization
#tls-impersonate: false

# disable following redirects (default false)
#disable-redirects: false

# enable path climb (auto crawl parent paths)
#path-climb: false

# run diagnostic check up
#hc: false

# file to write sent requests error log
#error-log: 

# enable pprof server
#pprof-server: false

# enable headless hybrid crawling (experimental)
#headless: false

# use local installed chrome browser instead of katana installed
#system-chrome: false

# show the browser on the screen with headless mode
#show-browser: false

# start headless chrome with additional options
#headless-options: []

# start headless chrome in --no-sandbox mode
#no-sandbox: false

# path to store chrome browser data
#chrome-data-dir: 

# use specified chrome browser for headless crawling
#system-chrome-path: 

# start headless chrome without incognito mode
#no-incognito: false

# use chrome browser instance launched elsewhere with the debugger listening at this url
#chrome-ws-url: 

# extract xhr request url,method in jsonl output
#xhr-extraction: false

# in scope url regex to be followed by crawler
#crawl-scope: []

# out of scope url regex to be excluded by crawler
#crawl-out-scope: []

# pre-defined scope field (dn,rdn,fqdn) or custom regex (e.g., '(company-staging.io|company.com)')
#field-scope: rdn

# disables host based default scope
#no-scope: false

# display external endpoint from scoped crawling
#display-out-scope: false

# regex or list of regex to match on output url (cli, file)
#match-regex: []

# regex or list of regex to filter on output url (cli, file)
#filter-regex: []

# field to display in output (url,path,fqdn,rdn,rurl,qurl,qpath,file,ufile,key,value,kv,dir,udir) (deprecated: use -output-template instead)
#field: 

# field to store in per-host output (url,path,fqdn,rdn,rurl,qurl,qpath,file,ufile,key,value,kv,dir,udir)
#store-field: 

# match output for given extension (eg, -em php,html,js)
#extension-match: []

# filter output for given extension (eg, -ef png,css)
#extension-filter: []

# match response with dsl based condition
#match-condition: 

# filter response with dsl based condition
#filter-condition: 

# disable duplicate content filtering
#disable-unique-filter: false

# number of concurrent fetchers to use
#concurrency: 10

# number of concurrent inputs to process
#parallelism: 10

# request delay between each request in seconds
#delay: 0

# maximum requests to send per second
#rate-limit: 150

# maximum number of requests to send per minute
#rate-limit-minute: 0

# update katana to latest version
#update: false

# disable automatic katana update check
#disable-update-check: false

# file to write output to
#output: 

# custom output template
#output-template: 

# store http requests/responses
#store-response: false

# store http requests/responses to custom directory
#store-response-dir: 

# do not overwrite output file
#no-clobber: false

# store per-host field to custom directory
#store-field-dir: 

# omit raw requests/responses from jsonl output
#omit-raw: false

# omit response body from jsonl output
#omit-body: false

# write output in jsonl format
#jsonl: false

# disable output content coloring (ansi escape codes)
#no-color: false

# display output only
#silent: false

# display verbose output
#verbose: false

# display debug output
#debug: false

# display project version
#version: false